fn main() {
    let s1 = String::from("witaj");

    let len = calculate_length(&s1);

    println!("Długość '{}' to {}.", s1, len);
}

// ANCHOR: here
fn calculate_length(s: &String) -> usize { // s jest referencją do String
    s.len()
} // Tutaj s wychodzi z zakresu. Ponieważ jednak nie jest właścicielem tego,
  // do czego się odwołuje, nie jest to porzucane.
// ANCHOR_END: here
